Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.gui
Interface ZoomRaster

All Known Implementing Classes:
  ZoomRasterImpl

public interface ZoomRaster
extends Raster, RasterS

A zoomable Raster.. ZoomRaster is a subclass of Raster that implements a zoomable image. It handles translation between logical coordinates and screen coordinates.

Method Summary
`void` | `decreaseZoom()` Make the raster smaller.
`void` | `fillCenteredRectangleX0$Y0$X1$Y1$Color(int x0, int y0, int x1, int y1, byte color)` Special method for ZoomRasters.
`int` | `getZoomFactor()` Get the current zoom factor.
`void` | `handleConfigureWidth$Height(int newWidth, int newHeight)` Reconfigures the ZoomRaster when the window is resized.
`void` | `increaseZoom()` Make the raster bigger.
`java.lang.Object` | `setZoomFactor(int z)` Set the zoom factor.

Methods inherited from interface swarm.gui.Raster
`draw$X$Y, drawPointX$Y$Color, drawSelf, ellipseX0$Y0$X1$Y1$Width$Color, erase, fillRectangleX0$Y0$X1$Y1$Color, lineX0$Y0$X1$Y1$Width$Color, rectangleX0$Y0$X1$Y1$Width$Color, setButton$Client$Message, setColormap`

Methods inherited from interface swarm.gui.ArchivedGeometryWidget
`updateArchiver`

Methods inherited from interface swarm.gui.Widget
`disableDestroyNotification, enableDestroyNotification$notificationMethod, getDestroyedFlag, getHeight, getParent, getTopLevel, getWidgetName, getWidth, getWindowGeometry, getX, getY, pack, packBeforeAndFillLeft$expand, packFill, packFillLeft, packForgetAndExpand, packToRight, setActiveFlag, setHeight, setWidth, setWidth$Height, setWindowGeometry, setWindowTitle, setX$Y`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### increaseZoom

    public void increaseZoom()

  Make the raster bigger.

### decreaseZoom

    public void decreaseZoom()

  Make the raster smaller.

### getZoomFactor

    public int getZoomFactor()

  Get the current zoom factor.

### fillCenteredRectangleX0$Y0$X1$Y1$Color

    public void fillCenteredRectangleX0$Y0$X1$Y1$Color(int x0,
                                                       int y0,
                                                       int x1,
                                                       int y1,
                                                       byte color)

  Special method for ZoomRasters. Like fillRectangleX0:Y0:X1:Y1:Color: in Raster, it will fill a rectangle of given geometry and color. This method makes sure that zooming the window does not change the logical position of the rectangle in relation to the logical coordinates. In other words, if a rectangle includes point (10,10) at one zoom factors, then that same point is included for all zoom factors.

### setZoomFactor

    public java.lang.Object setZoomFactor(int z)

  Set the zoom factor.

### handleConfigureWidth$Height

    public void handleConfigureWidth$Height(int newWidth,
                                            int newHeight)

  Reconfigures the ZoomRaster when the window is resized.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD